Subject: Missing proto for sigaction() in <sys/signal.h>
From: [email-masked] (Mumit Khan)

25 Mar 1997 22:00:22 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I don't have a POSIX spec handy, but I believe that sys/signal.h
should have the prototype for sigaction(). It's already defined
in winsup/signal.cc, so no harm done even if I'm wrong.

Here's a trivial patch for newlib/libc/include/sys/signal.h:

*** signal.h.~1	Tue Mar 25 22:32:25 1997
- --- signal.h	Tue Mar 25 22:36:57 1997
*************** struct sigaction 
*** 25,28 ****
- --- 25,30 ----
  #define sigemptyset(what)   (*(what) = 0)
  
+ int sigaction (int __sig, struct sigaction *__act,
+     struct sigaction *__oldact);
  int sigprocmask (int how, const sigset_t *a, sigset_t *b);
  #endif /* _STRICT_ANSI */

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".